version: '2'

services:

  static:
    build: .
    # env_files: ["./frontend.env"]    # for use with jwilder/nginx
    # labels:                          # for use with træfik
    #   - traefik.enable=true
    #   - traefik.backend=             # fill here
    #   - traefik.frontend.rule=Host:  # fill here
    #   - traefik.frontend.passHostHeader=true
    #   - traefik.docker.network=web
    #   - traefik.port=3000
    volumes:
      - ./content/:/var/www
      - ./lighttpd.conf:/etc/lighttpd/lighttpd.conf
    expose:
      - 80
    networks:
      - web

networks:
  web:
    external: true
